Package relaxngcc.codedom

# Class CDJavaFormatter

java.lang.Object
relaxngcc.codedom.CDFormatter
relaxngcc.codedom.CDJavaFormatter

public class CDJavaFormatter extends CDFormatter
`CDFormatter` implementation for Java

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`CDJavaFormatter(Writer writer)`

## Method Summary

Modifier and Type
Method
Description
`CDFormatter`
`write(CDLanguageSpecificString str)`
Outputs a language specific string.

### Methods inherited from class relaxngcc.codedom.CDFormatter

`declare, eos, express, in, nl, out, p, p, state, type`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDJavaFormatter

public CDJavaFormatter(Writer writer)

## Method Details

### write

public CDFormatter write(CDLanguageSpecificString str) throws IOException
Description copied from class: `CDFormatter`
Outputs a language specific string.

Specified by:
  `write` in class `CDFormatter`
Throws:
  `IOException`